package rocks.zipcode.quiz5.arrays;

import java.util.Arrays;

/**
 * @author leon on 01/01/2019.
 */
public class ArrayUtils {
    public static String getMiddleElement(String[] values) {
        return values[values.length/2];
    }

    public static String[] removeMiddleElement(String[] values) {
        int x = (values.length - 1) / 2;
        String[] copy = new String[x * 2];
        System.arraycopy(values, 0, copy, 0, x);
        System.arraycopy(values, values.length - x, copy, x, x);
        return copy;
    }

    public static String getLastElement(String[] values) {
        return values[values.length-1];
    }

    public static String[] removeLastElement(String[] values) {
        return Arrays.copyOf(values, values.length-1);
    }
}